%define pypi_name gphoto2
Name:           python-%{pypi_name}
Version:        2.2.1
Release:        %mkrel 1
Summary:        Python interface to libgphoto2
Group:          Development/Python
License:        GPLv3+
URL:            https://github.com/jim-easterbrook/python-gphoto2
Source0:        https://pypi.io/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.xz

BuildRequires:  pkgconfig(libgphoto2)
BuildRequires:  swig


%description
python-gphoto2 is a comprehensive Python interface (or binding) to libgphoto2.
It is built using SWIG to automatically generate the interface code.
This gives direct access to nearly all the libgphoto2 functions, but
sometimes in a rather un-Pythonic manner.

%package -n python3-%{pypi_name}
Summary:        Python 3 interface to libgphoto2
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
python-gphoto2 is a comprehensive Python interface (or binding) to libgphoto2.
It is built using SWIG to automatically generate the interface code.
This gives direct access to nearly all the libgphoto2 functions, but
sometimes in a rather un-Pythonic manner.

%package examples
Summary:        Example files for python-gphoto2
BuildArch:      noarch
Requires:       python-%{pypi_name}

%description examples
python-gphoto2 is a comprehensive Python interface (or binding) to libgphoto2.
It is built using SWIG to automatically generate the interface code.
This gives direct access to nearly all the libgphoto2 functions, but
sometimes in a rather un-Pythonic manner.

This package contains the example files.

%prep
%setup -qn gphoto2-%{version}
sed -i -e '1s/python$/python3/' examples/*.py

%build
%{__python3} setup.py build_swig
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README* CHANGELOG*
%{python3_sitearch}/*

%files examples
%{_datadir}/%{name}/


%changelog
* Sun Aug 14 2022 TerryN <terryn94 at gmail.com> 2.2.1-1pclos2022
- update and rebuild for python 3.10

* Sat Jul 06 2019 tex 2.0.0-1pclos2019
- Update to version 2.0.0
